org.apache.http.conn.params

## Interface ConnRoutePNames

- All Known Subinterfaces:
    AllClientPNames
  All Known Implementing Classes:
    ConnRouteParams

  Deprecated.
  (4.3) use `RequestConfig`.

      @Deprecated
      public interface ConnRoutePNames

  Parameter names for connection routing.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_PROXY` Deprecated. Parameter for the default proxy.
    `static String` | `FORCED_ROUTE` Deprecated. Parameter for an forced route.
    `static String` | `LOCAL_ADDRESS` Deprecated. Parameter for the local address.

- - ### Field Detail

    - #### DEFAULT_PROXY

          static final String DEFAULT_PROXY

      Deprecated.
      Parameter for the default proxy. The default value will be used by some `HttpRoutePlanner` implementations, in particular the default implementation.

      This parameter expects a value of type `HttpHost`.

      See Also:
        Constant Field Values

    - #### LOCAL_ADDRESS

          static final String LOCAL_ADDRESS

      Deprecated.
      Parameter for the local address. On machines with multiple network interfaces, this parameter can be used to select the network interface from which the connection originates. It will be interpreted by the standard `HttpRoutePlanner` implementations, in particular the default implementation.

      This parameter expects a value of type `InetAddress`.

      See Also:
        Constant Field Values

    - #### FORCED_ROUTE

          static final String FORCED_ROUTE

      Deprecated.
      Parameter for an forced route. The forced route will be interpreted by the standard `HttpRoutePlanner` implementations. Instead of computing a route, the given forced route will be returned, even if it points to the wrong target host.

      This parameter expects a value of type `HttpRoute`.

      See Also:
        Constant Field Values

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.